Get list of keywords for domain or URL
Use to get keywords that specific URL or domain is ranking for.
By default the keywords are ordered by the domain's ranking position, from the worst position to the best.
Limits
Each request is counted towards your Keyword lookups limit. Lookup is not counted if you make the identical request within 24 hours.
Locations
Use location_id to specify country.
Each request returns at most the competitor-keywords-rows value of your plan (see GET /kwfinder/limits), and never more than 1,000 keywords.
Supported locations
0 (Anywhere) and the countries below are supported. A city or region ID is looked up as its country, and any other location answers HTTP 204 with an empty body.
2012 (Algeria), 2024 (Angola), 2032 (Argentina), 2051 (Armenia), 2036 (Australia), 2040 (Austria), 2031 (Azerbaijan), 2048 (Bahrain), 2050 (Bangladesh), 2056 (Belgium), 2068 (Bolivia), 2076 (Brazil), 2100 (Bulgaria), 2854 (Burkina Faso), 2116 (Cambodia), 2120 (Cameroon), 2124 (Canada), 2152 (Chile), 2170 (Colombia), 2188 (Costa Rica), 2384 (Cote d'Ivoire), 2191 (Croatia), 2196 (Cyprus), 2203 (Czechia), 2208 (Denmark), 2218 (Ecuador), 2818 (Egypt), 2222 (El Salvador), 2233 (Estonia), 2246 (Finland), 2250 (France), 2276 (Germany), 2288 (Ghana), 2300 (Greece), 2320 (Guatemala), 2344 (Hong Kong), 2348 (Hungary), 2356 (India), 2360 (Indonesia), 2372 (Ireland), 2376 (Israel), 2380 (Italy), 2392 (Japan), 2400 (Jordan), 2398 (Kazakhstan), 2404 (Kenya), 2428 (Latvia), 2440 (Lithuania), 2458 (Malaysia), 2470 (Malta), 2484 (Mexico), 2504 (Morocco), 2104 (Myanmar), 2528 (Netherlands), 2554 (New Zealand), 2558 (Nicaragua), 2566 (Nigeria), 2807 (North Macedonia), 2578 (Norway), 2586 (Pakistan), 2591 (Panama), 2600 (Paraguay), 2604 (Peru), 2608 (Philippines), 2616 (Poland), 2620 (Portugal), 2642 (Romania), 2682 (Saudi Arabia), 2686 (Senegal), 2688 (Serbia), 2702 (Singapore), 2703 (Slovakia), 2705 (Slovenia), 2710 (South Africa), 2410 (South Korea), 2724 (Spain), 2144 (Sri Lanka), 2752 (Sweden), 2756 (Switzerland), 2158 (Taiwan), 2764 (Thailand), 2788 (Tunisia), 2792 (Turkey), 2804 (Ukraine), 2784 (United Arab Emirates), 2826 (United Kingdom), 2840 (United States), 2858 (Uruguay), 2862 (Venezuela), 2704 (Vietnam).
Authorization
ApiKeyAuth API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.
In: header
Query Parameters
ID of location, default 0 (Anywhere).
Target URL / domain / subdomain
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.mangools.com/v3/kwfinder/competitor-keywords?location_id=0&url=string"{
"url_type": "RootDomain",
"location": {
"_id": 2703,
"label": "Slovakia",
"code": "us"
},
"keywords": [
{
"_id": "005de7e7771450763339653e918778ef",
"cpc": 0.813559,
"kw": "seo solutions",
"lid": 0,
"msv": [
[
2015,
8,
590
]
],
"ppc": 15,
"seo": 13,
"seo_ts": 1590868935,
"sv": 930,
"svn": 930,
"svs": 0,
"ts": 1592997076
}
],
"totalCount": 1500,
"page": 0,
"resultsSize": 1000,
"originalItemsCount": 1500,
"isAllowedPagination": true
}{
"error": {
"type": "AuthError",
"message": "Invalid API Key"
}
}{
"error": {
"type": "InvalidInput",
"message": "Parameter url is invalid"
}
}{
"error": {
"type": "RateLimit",
"message": "Too many requests in short period. Wait retry_after seconds (also sent as the Retry-After header), then send this same request again. Send requests one at a time, not in parallel.",
"retry_after": 30
}
}